<!--
  Copyright (c) 2020 Eclipse Foundation, Inc.

  This program and the accompanying materials are made available under the
  terms of the Eclipse Public License v. 2.0 which is available at
  http://www.eclipse.org/legal/epl-2.0.

  Contributors:
    Martin Lowe <martin.lowe@eclipse-foundation.org>

  SPDX-License-Identifier: EPL-2.0
-->
<!-- Base vars of data assuming basic requirements -->
{{$currLang:=.Page.Lang }}
{{ $year := .Get "year" }}
{{ if $year }}
  {{ .Scratch.Set "base" (index (index .Site.Data $currLang) $year) }}
{{ else }}
  {{ .Scratch.Set "base" (index .Site.Data $currLang) }}
{{ end }}
{{ $base := .Scratch.Get "base" }}
{{ $event_id := .Get "event" | default "default" }}
{{ $src := .Get "src" | default "agenda" }}
{{ $icon_class := .Get "icon_class" | default "fa-file"}}
{{ $agendabase := (index (index $base $event_id) $src) }}
{{ $types := $agendabase.types }}
{{ $complete := $agendabase.complete }}
<!-- Allow for adjusted titles -->
{{$title_suffix := .Get "title" }}
{{ $multiSet := false }}
<!-- Check if multiple session sets  -->
{{ if isset $agendabase "sets" }}
  <!-- Separate checks needed as hugo isn't failfast  -->
  {{ if gt (len $agendabase.sets) 1 }}
    {{ $multiSet = true }}
  {{ end }}
{{ end }}

<style>
{{ range $types }}
{{ if .color }}
span.eclipsefdn-agenda-legend-icon-{{ urlize .id }}::after {
  background-color: {{ .color }};
}
{{ end }}
{{ end }}
</style>

<div class="eclipsefdn-agenda">
  <h2>{{ .Get "title" | default (i18n "agenda-sessions") }}</h2>
  <div class="eclipsefdn-agenda-legend">
    {{ if $types }}
      <h4>{{ i18n "agenda-legend" }}</h4>
      <ul class="list-inline">
        {{ range $types }}
        <li><span class="eclipsefdn-agenda-legend-icon-{{ .id }} eclipsefdn-agenda-legend-icon">&nbsp;</span> {{ .name }}</li>
        {{ end }}
      </ul>
    {{ end }}
  </div>
  {{ $agendaItemsBase := slice $agendabase }}
  {{ if $multiSet }}
    {{ $agendaItemsBase = $agendabase.sets }}

  <div class="row content-nav-tab-toggle margin-top-0">
    <div class="visible-xs">
      <div class="vertical-align">
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-agenda">
          <p class="nav-label"><strong>{{ .Get "navLabel" | default "Session tracks" }}</strong></p>
          <div class="hamburger-wrapper">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </div>
        </button>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="navbar-collapse collapse" id="navbar-agenda">
      <ul class="nav nav-tabs solstice-tabs content-nav-tab" role="tablist">
      {{ range $index,$set := $agendabase.sets }}
        <li role="presentation" {{- if eq $index 0 }}class="active"{{ end -}}>
          <a href="#agenda-sessions-{{ $index }}" data-toggle="tab" aria-controls="agenda-sessions-{{ $index }}" role="tab">
            {{ .name }}
          </a>
        </li>
      {{ end }}
      </ul>
    </div>
  </div>
  <div class="content-nav-tab-body tab-content no-gutters-mobile padding-40 margin-bottom-30" id="tabs-content">
  {{ end }}

  {{ $hasOrgs := false }}
  {{ if $multiSet }}
    {{ range $index, $set := $agendaItemsBase }}
      {{ range $set.items }}
        {{ if isset . "organization" }}
          {{ $hasOrgs = true }}
        {{ end }}
      {{ end }}
    {{ end }}
  {{ else }}
    {{ range $index, $set := $agendaItemsBase }}
      {{ range $set.items }}
        {{ if isset . "organization" }}
          {{ $hasOrgs = true }}
        {{ end }}
      {{ end }}
    {{ end }}
  {{ end }}

  {{ range $index, $set := $agendaItemsBase }}
    <!-- Check for slide,  vod and paper columns -->
    {{ $has_slides := false }}
    {{ $has_vod := false }}
    {{ $has_paper := false }}
    {{ range $set.items }}
      {{ if isset . "slides" }}
        {{ $has_slides = true }}
      {{ end }}
      {{ if isset . "vod" }}
        {{ $has_vod = true }}
      {{ end }}
      {{ if isset . "paper" }}
        {{ $has_paper = true }}
      {{ end }}
    {{ end }}

    <!-- Check if multiple session sets  -->
    {{ if $multiSet }}
      <div role="tabpanel" class="tab-pane tab-pane{{ if eq $index 0}} active{{ end }}" id="agenda-sessions-{{ $index }}">
    {{ end }}
  <div class="eclipsefdn-agenda-schedule">
    <table class="table">
      <thead>
        <tr>
          <th>{{ i18n "agenda-session-name" }}</th>
          <th>{{ i18n "agenda-presenter-name" }}</th>
          {{ if $hasOrgs }}
          <th>{{ i18n "agenda-organization" }}</th>
          {{ end }}
          {{ if  $complete }}
          	{{ if  $has_vod }}
          	<th class="text-center">{{ i18n "agenda-session-recording" }}</th>
          	{{ end }}
          	{{ if  $has_paper }}
          	<!--  th class="text-center">{{ i18n "agenda-session-paper" }}</th -->
          	<th class="text-center">Papers</th>
          	{{ end }}
          {{ else }}
          <th>{{ i18n "agenda-session-schedule" }}</th>
          {{ end }}
          {{ if $has_slides }}
          <th class="text-center">{{ i18n "agenda-session-slides" }}</th>
          {{ end }}
        </tr>
      </thead>
      <tbody>
        {{ range $set.items }}
        <tr>
          <td>
          {{ if $types }}
          <span class="eclipsefdn-agenda-legend-icon-{{ .type }} eclipsefdn-agenda-legend-icon">
            <span class="sr-only"> {{ range first 1 (where $types "id" .type) }} {{ .name }} {{ end}} </span>
          </span>
          {{ end }}
          {{ .name }}
          {{ if isset . "abstract" }}
          <a class="margin-left-10" href="#" title="{{ i18n " agenda-abstract-modal-alt" . }}"
            data-toggle="modal" data-target="#eclipsefdn-modal-event-session" data-title="{{ .name }}" data-presenter="{{ .presenter }}" data-time="{{ .time }}">
            <i class="fa fa-external-link">
              <span class="sr-only">
                {{ i18n "agenda-abstract-modal-alt" . }}
              </span>
            </i>
          </a>
          <div class="modal-content hidden">{{ .abstract | safeHTML }}</div>
          {{ end }}
          </td>
          <td>
            {{ if and (isset . "presenters") }}
              <ul>
              {{ range .presenters }}
                  <li>{{ . | safeHTML }}</li>
              {{ end }}
              </ul>
            {{ else }}
              {{ .presenter | safeHTML }}
            {{ end }}
          </td>
          {{ if $hasOrgs }}
          <td>
            {{ .organization | safeHTML }}
          </td>
          {{ end }}
          {{ if $complete }}
         	 {{ if $has_vod }}
	          <td class="text-center">
	            {{ if (isset . "vod") }}
	              <a class="btn btn-primary" href="{{ .vod }}" title="{{ i18n "agenda-session-recording-button-alt" . }}">
	                <i class="fa fa-play" style="font-size:24px"></i><span class="sr-only">{{ i18n "agenda-session-recording-button-alt" . }}</span>
	              </a>
	            {{ end }}
	          </td>
         	 {{ end }}
         	 {{ if $has_paper }}
	          <td class="text-center">
	            {{ if (isset . "paper") }}
	              <a class="btn btn-primary" href="{{ .paper }}" title="{{ i18n "agenda-session-slides-button-alt" . }}">
	                <i class="fa fa-file-text-o" style="font-size:24px"></i> <span class="sr-only">{{ i18n "agenda-session-slides-button-alt" . }}</span>
	              </a>
	            {{ end }}
	          </td>
         	 {{ end }}
          {{ else }}
            {{if .times }}
              <td>
                <ul class="margin-0 padding-0" style="list-style: none;">
                  {{range .times}}
                    <li>{{ . | safeHTML }}</li>
                  {{end}}
                </ul>
              </td>
            {{else if $agendabase.dynamicTime}}
            <td class="dynamic-time" data-tz="{{ $agendabase.timezone | default "GMT-04" }}">{{.time | safeHTML }}</td>
            {{else}}
            <td class="static-time">{{.time | safeHTML }}</td>
            {{end}}
          {{ end }}
          <!-- Write the slide column if it has been set -->
          {{ if $has_slides }}
          <td class="text-center">
            {{ if (isset . "slides") }}
              <a class="btn btn-primary" href="{{ .slides }}" title="{{ i18n "agenda-session-slides-button-alt" . }}">
                <i class="fa fa-file-powerpoint-o" style="font-size:24px"></i> <span class="sr-only">{{ i18n "agenda-session-slides-button-alt" . }}</span>
              </a>
            {{ end }}
          </td>
          {{ end }}
        </tr>
        {{ end }}
      </tbody>
    </table>
  </div>

    <!-- Check if multiple session sets  -->
    {{ if $multiSet }}
      <!-- Close tab panel -->
      </div>
    {{ end }}
  {{ end }}
  <!-- Check if multiple session sets  -->
  {{ if $multiSet }}
    <!-- Close tab content section -->
    </div>
  {{ end }}
</div>
